Bug 1000094 - Add maven components to tomcat6,7
Add maven components to tomcat6,7
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: tomcat6, tomcat7 (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ER03
: ---
Assigned To: Coty Sutherland
Jan Stourac
Depends On:
  Show dependency treegraph
Reported: 2013-08-22 12:12 EDT by David Knox
Modified: 2017-08-04 11:13 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
In JBoss Enterprise Web Server, some maven-related files for use with Red Hat Enterprise Linux 5, 6, and 7 are still not available in the <filename>tomcat{6,7}-maven-devel</filename> subpackage. This is a known issue is JBoss Enterprise Web Server 3.0 and no workaround is currently available for this issue.
Story Points: ---
Clone Of:
Last Closed: 2017-08-04 11:13:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jclere: needinfo-

Attachments (Terms of Use)

  None (edit)
Description David Knox 2013-08-22 12:12:44 EDT
Description of problem:
Tomcat6,7 require maven components installen

Version-Release number of selected component (if applicable):
EWS 2.0.1

How reproducible:
No reproduction required

Steps to Reproduce:

Actual results:

Expected results:

Maven components installed in appropriate packages

Additional info:
Comment 1 David Knox 2013-08-22 12:13:29 EDT
tomcat6 ep-6 builds are complete
Comment 3 John Doyle 2013-08-22 13:13:56 EDT
Why are they needed?
Comment 4 David Knox 2013-08-27 18:55:36 EDT
An email bit from David Walluck (dwalluck@redhat.com)

If the problem is that you do not want to ship certain files at runtime,
then perhaps we can place the Maven POM and depmap files into a separate
subpackage which would not be shipped, such as tomcat-devel. This
suggestion doesn't exactly match our usual policy for EAP, but I think
it would still work OK if that's the issue.

These Maven files are necessary for building in Brew. Various Maven
components do request various Tomcat components at build-time. At least
in EAP, we do ship the POMs with most packages and always have. The
repolib subpackage is only usable for MEAD builds.

So, to be clear, this only affects building packages on our own build
system and nothing relating to customers, though I believe it to be
harmless to provide them.

Actually, I am very confused as to when the POMs disappeared. Maybe they
were always available in tomcat5 or some other version. I have added
pcheung to CC, because I know I have worked with her on EWS in the past
and I believe we did have POM files then. Maybe Weinan Li also knows
something, but it didn't seem that way given the question.
Comment 5 John Doyle 2013-08-28 10:56:53 EDT
My concern with including them is that customers often end up using things in ways that we don't think about or intend.  Then we take them away at some point and get a complaint.  If it's not a problem to put them in another package that we don't ship, I prefer we do that.  THX
Comment 6 David Knox 2013-08-28 19:32:29 EDT
Right now the components are in the corresponding package. I can create a tomcat-devel package for the poms.
Comment 26 Michal Haško 2014-07-17 08:40:44 EDT
There are still some maven-related files that were not moved to the tomcat{6,7}-maven-devel subpackage:

# rpm -ql tomcat6 tomcat7{,-lib,-el-2.2-api,-jsp-2.2-api,-servlet-3.0-api} | grep maven | sort

# rpm -ql tomcat6 tomcat7 | grep maven | sort

# rpm -ql tomcat6 tomcat7 | grep maven | sort

Note You need to log in before you can comment on or make changes to this bug.